package com.ruoyi.common.enums;

import com.ruoyi.common.utils.StringUtils;

/**
 * 分类:know_test-知识点,auto-基础题库,high_error-高频错题,smart_test-智能刷题,paper-真题,试卷
 */
public enum PaperquesType {
    know_test("know_test", "知识点"),
    auto("auto", "基础题库"),
    high_error("high_error", "高频错题"),
    smart_test("smart_test", "智能刷题"),
    paper("paper", "真题试卷");

    private String value;
    private String remark;

    private PaperquesType(String value, String remark) {
        this.value = value;
        this.remark = remark;
    }

    public String getValue() {
        return value;
    }

    public String getRemark() {
        return remark;
    }

    public static PaperquesType getByValue(String value) {
        for (PaperquesType o : PaperquesType.values()) {
            if (o.getValue().equals(value)) {
                return o;
            }
        }
        return null;
    }
}
